Overview
POST
/chat/chat-rich-contentchatCreate chat_rich_content
Create a record in chat-rich-content.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ecosystemIdoptionalstring
- messageIdstring
- displayOrderoptionalinteger
- kindstring
- payloadoptionalstring
Example
{
"ecosystemId": "string",
"messageId": "string",
"displayOrder": 0,
"kind": "string",
"payload": "string"
}Responses
201
chat_rich_content
- idstring
- ecosystemIdstring
- messageIdstring
- displayOrderinteger
- kindstring
- payloadstring
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"messageId": "string",
"displayOrder": 0,
"kind": "string",
"payload": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/chat/chat-rich-content" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"messageId": "string",
"displayOrder": 0,
"kind": "string",
"payload": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chat-rich-content", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"messageId\": \"string\",\n \"displayOrder\": 0,\n \"kind\": \"string\",\n \"payload\": \"string\"\n}",
});
const data = await res.json();